diff --git a/web/pgadmin/dashboard/static/js/dashboard.js b/web/pgadmin/dashboard/static/js/dashboard.js
index 4a1475ae..529ba3b5 100644
--- a/web/pgadmin/dashboard/static/js/dashboard.js
+++ b/web/pgadmin/dashboard/static/js/dashboard.js
@@ -515,10 +515,10 @@ define('pgadmin.dashboard', [
 
           if(that.data.length > 50) {
             // Listen scroll event to load more rows
-            $('.pg-panel-content').on('scroll', that.__loadMoreRows.bind(that));
+            $('.wcScrollableY').on('scroll', that.__loadMoreRows.bind(that));
           } else {
             // Listen scroll event to load more rows
-            $('.pg-panel-content').off('scroll', that.__loadMoreRows);
+            $('.wcScrollableY').off('scroll', that.__loadMoreRows);
           }
 
           // Re-apply search criteria
diff --git a/web/pgadmin/static/js/selection/clipboard.js b/web/pgadmin/static/js/selection/clipboard.js
index f680e39c..2a6d4619 100644
--- a/web/pgadmin/static/js/selection/clipboard.js
+++ b/web/pgadmin/static/js/selection/clipboard.js
@@ -49,7 +49,7 @@ define(['sources/gettext', 'alertify'], function (gettext, alertify) {
       textArea.style.background = 'transparent';
 
       document.body.appendChild(textArea);
-
+      textArea.textContent = text;
       textArea.select();
 
       var copyTextToClipboardHandler = function(e) {
diff --git a/web/pgadmin/static/scss/_pgadmin.style.scss b/web/pgadmin/static/scss/_pgadmin.style.scss
index 861c9b08..d990b550 100644
--- a/web/pgadmin/static/scss/_pgadmin.style.scss
+++ b/web/pgadmin/static/scss/_pgadmin.style.scss
@@ -166,7 +166,6 @@
   right:0px;
   bottom:0px;
   height: 100%!important;
-  overflow: scroll;
 }
 
 .pg-prop-footer {
